commit f02226661705e489a670511a660a5dd6b8c1bced
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 17 16:05:09 2012 +1000

    xf86-video-xgixp: bump to version 1.8.1
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 6562444ed998b2c33be690dd9b1d729b3a4ecedd
Author: Dave Airlie <airlied@gmail.com>
Date:   Mon Jul 16 19:20:38 2012 +1000

    xgixp: fix build against XAA-less server.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit f526b428847bf03abcc74a2e4b0ea08d3f1e167c
Author: Dave Airlie <airlied@redhat.com>
Date:   Thu Jun 7 16:27:49 2012 +0100

    xgixp: port to new compat API.
    
    Signed-off-by: Dave Airlie <airlied@redhat.com>

commit 8130a2ac8332ff1f83f9f35acca3053d4076f443
Author: Adam Jackson <ajax@redhat.com>
Date:   Mon Dec 19 17:43:52 2011 -0500

    Fix for new vgaHW ABI
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 6de4e59b48cd1229a4c91b190d239976f7bb3e30
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Oct 29 19:22:09 2011 -0700

    Add missing prototypes to headers to silence warnings
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit d5fe4c4aa83db6e5f9c37eaecad006b6cfc466e8
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Oct 29 19:25:23 2011 -0700

    Silence warning about xg47_CrtcInit returning a value when it should return void
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 447f63b6d49de6b4678a0ea54d0152fc808c5e04
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Oct 29 19:23:55 2011 -0700

    Include "fbdevhw.h" for fbdevHWDPMSSet
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit c97f4b0a5450eb1abdd45f3c884a829efbb52d02
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Oct 29 19:17:18 2011 -0700

    Remove calls to loader symbol list API
    
    These were removed a while ago and were noops before then.
    
    cf xserver commit 71a83d68ab07536c0778d13cd7da974c40e77457
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 881ac08b1dfed4822b1239ab8a0da4dc7aa2ee43
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Oct 29 19:13:28 2011 -0700

    Silence printf format warnings
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 4b4a2dcd75b329311b21e6203e9b12df7fa06a8b
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Oct 29 19:09:26 2011 -0700

    Silence compiler warnings by including header
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 1ccae1f9d9b1f62a86c58837c6a737f2aea9c119
Author: Jeremy Huddleston <jeremyhu@apple.com>
Date:   Sat Oct 29 19:07:38 2011 -0700

    Use malloc/calloc/realloc/free directly
    
    Signed-off-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 86258a6fd8fc8bb09a52ee446b37abe6bd0843ef
Author: Adam Jackson <ajax@redhat.com>
Date:   Fri Mar 25 18:46:55 2011 -0400

    API compat fix for DRAWABLE_BUFFER
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit dd65abfc463443dd57463ca1d6d70e10dbb3de7b
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:29:52 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9a15f0b16f03c57d7ecf81b2ec1f7e6ee1ddd880
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Aug 10 11:18:47 2010 -0400

    xf86-video-xgixp 1.8.0
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit b0f90e56185d0a09a2f2183a56a762187c825e1f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:49:05 2010 -0400

    config: add comments for main statements

commit ec3b8f1f8b6a0dbffbf88797744d7a19052090a9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 16:07:00 2010 -0400

    config: replace deprecated use of AC_OUTPUT with AC_CONFIG_FILES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c266cdef03434e5bf06a6537527cdeec4df18dec
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:37:42 2010 -0400

    config: replace deprecated AC_HELP_STRING with AS_HELP_STRING
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit dd3ef3fe931fd06dbac2a2f18455d5512150a66a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 14:05:23 2010 -0400

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 299a72b3eb0014ba026656e5c1090cba25dce40b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jul 21 09:27:42 2010 -0400

    config: complete AC_INIT m4 quoting
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 360d207adc9be6601a480278e01ecea36a5d01c3
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 21:44:58 2010 -0400

    config: remove unrequired AC_SUBST([XORG_CFLAGS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 85e5f14e34f21e574ff009bd66ceb130265e79ce
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 20:24:42 2010 -0400

    config: remove unrequired AC_HEADER_STDC
    
    Autoconf says:
    "This macro is obsolescent, as current systems have conforming
    header files. New programs need not use this macro".
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f6f2ea0f9193d70deefafca50c681fe7de18a7b3
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 19:41:31 2010 -0400

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d3e27797f53857e9dbc6a7efeb86e1c1452eb93f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 18:45:19 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 913c0f09a6f7aa93962395835c83eeba6a434ee4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jul 20 16:15:30 2010 -0400

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.

commit e544190816abd0c301ab0ecee99758487bb9bd1c
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Jun 13 13:38:50 2010 -0400

    COPYING: add file with actual Copyright notices.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 4157147d56587ca550abf40870324eb1b45005aa
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue May 18 13:18:50 2010 -0400

    Remove mibank.h reference
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit da8067534ab5398cbc94ba35490f84fdf5107572
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 15 15:53:47 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 458c0109935bd6fab371b46a2c3a54721c86a022
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Dec 15 21:47:57 2009 -0500

    configure.ac: use backticks rather than $() for cmd subs
    
    Use "$PKG_CONFIG" rather than hard coded "pkg-config"
    
    Acked-by: Dan Nicholson <dbn.lists@gmail.com>
    Acked-by: Daniel Stone <daniel@fooishbar.org>
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 84add25d6e266faff4ebb289b7bd8c6f5c954c83
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Nov 23 09:25:06 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 3e9507b7dd53fda2663f87ae4379d192083e0c36
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:41:41 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Automake 'foreign' option is specified in configure.ac.
    Remove from Makefile.am

commit f06056a683859f9d9afb858cfa2898e07eb26511
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:10 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 573e48bbaad584d968a21b5b30ef355d2ae71362
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 12:54:23 2009 -0400

    Several driver modules do not have a ChangeLog target in Makefile.am #23814
    
    The git generated ChangeLog replaces the hand written one.
    Update configure.ac to xorg-macros level 1.3.
    Use XORG_DEFAULT_OPTIONS which replaces four XORG_* macros
    Update Makefile.am to add ChangeLog target if missing
    Remove ChangeLog from EXTRA_DIST or *CLEAN variables
    This is a pre-req for the INSTALL_CMD

commit 24deadfff2dc0c8aaee722e875918072ec6a0067
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:18 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit a8af3c77170e4a61b4569173019c923105900180
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Sep 8 13:15:49 2009 +1000

    xgi 1.7.99.4

commit 8889b673c07afef710a2937f3a71cb93183da09e
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Sep 8 13:15:37 2009 +1000

    xgi: make build without drm header file

commit 439af09aff27f7b66dab5f7a7fb939270b304836
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 15:23:25 2009 +1000

    xgixp: change to using ABI version check

commit d99a9192b7f8d55ffb6f9dd4c4afd344128a72f5
Author: Dave Airlie <airlied@redhat.com>
Date:   Tue Jul 28 13:50:33 2009 +1000

    xgixp: rac/resources cleanup

commit 9b40a023cc8b2d2cf035ccd847b0db0c5b980fb8
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 30 20:08:44 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos

commit 5e73ad8d4529b82aae1705ed7996005701a2d686
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 30 20:07:39 2009 -0800

    Correct names in man page
    
    Also strip ^M's

commit 6d72d43af6d5f14f94b4363d686db1b3477b6289
Author: Benjamin Close <Benjamin.Close@clearchain.com>
Date:   Thu Dec 11 02:34:15 2008 +1030

    Fix build due to xf86Version -> xorgVersion changes

commit 2ed8fbf31329293f3ddeb65f7597b1e0a4c473f3
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu Jun 12 20:03:21 2008 -0700

    dvi: Detect digital monitors differently from analog monitors
    
    If a display is connected only to the VGA port, it can be
    "accidentally" detected as both DVI and analog VGA.  If EDID is
    supported, determine whether the EDID block says the monitor is
    digital.  If EDID is not supported, then assume that it can't be
    digital.
    
    Sound familiar?

commit 4f16bba339cef8f815cb9a3f969b8a1d1e1d0e33
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu Jun 12 18:43:17 2008 -0700

    biosBase is never used.  Remove it.

commit 6d1eebdc5d7f0d7e39e15aeca000f07461bdb3bc
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu Jun 12 15:37:45 2008 -0700

    DRM: bump kernel version
    
    The reflects the requirement of the non-TTM fence interface.  Matching
    DRM update is required.

commit 12d6b6092d945c4959e324be7f19fc941a7230fe
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu Jun 12 12:54:19 2008 -0700

    VGA: Detect analog monitors differently from digital monitors
    
    If a display is connected only to the DVI port, it can be
    "accidentally" detected as both DVI and analog VGA.  If EDID is
    supported, determine whether the EDID block says the monitor is
    digital.  If EDID is not supported, do some voodoo to determine if
    there is a monitor load present.

commit e18cf68049a8567876bb37db79f5ecc8a63790d4
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Jun 11 17:20:31 2008 -0700

    dvi: Enable DVI output.  Only one CRTC is supported still.

commit 635e85bc263bae8570ee9d2d5b8a36448ee9a51d
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Jun 11 17:15:36 2008 -0700

    i2c: Add support for DVI port I2C

commit e3ef053f834ab2e4ec9aab50b399d9c1ffbcf242
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Jun 11 17:12:50 2008 -0700

    Enable per-output I2C interface

commit 44893ae0d9d3bfe22216e98d31f46fce03a84e65
Author: Ian Romanick <idr@us.ibm.com>
Date:   Tue Jun 10 22:19:24 2008 -0700

    Remove dependency on TTM fences.

commit 0b1feeebc0c7bb5a8ab945e52598e070102986be
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon May 12 17:05:23 2008 -0700

    Remove dead XGIDPMSSet function

commit a835365ccb6a8b6abbd10d1ba386640b5ae0b368
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon May 12 17:04:25 2008 -0700

    Use libwfb to do byte-swapping on big-endian.

commit 0fbe9a5baab742cc2f03591487b844a6aceed142
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu May 1 13:03:44 2008 -0700

    Correct version number.

commit 88f46d2fb5e17b4ae07030b1b6e645aaae5d7e47
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Apr 30 12:31:19 2008 -0700

    Remove dead --with-native-mode-setting configure option

commit ab2c9a1340543892d8f8f49765cc3f2cdd7b284c
Merge: f50b5bb 9aa97d2
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Apr 30 10:56:44 2008 -0700

    Merge branch 'randr-1.2'

commit 9aa97d2195eb74b83c4f0c5785bba1177e1c0373
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Apr 30 10:49:35 2008 -0700

    Fix font restore problem on server exit

commit 6c3cda87113775458e14aad714d17c075e0dd024
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Apr 30 10:02:43 2008 -0700

    Hack to make acceleration work again
    
    For reasons that I do not understand, if the mode is not set before
    calling XGIDRIFinishScreenInit, acceleration will not work.  I assume
    that there is some register setting that should be done in the kernel
    but is only done in the mode setting code.

commit fbcbf2c9c92d20598a9363868844e3a838846d8b
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Apr 30 09:45:36 2008 -0700

    Remove several pieces of '#if 0' code

commit e20644c9671be68a5f9b9e227db923166052174c
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Apr 25 13:28:21 2008 -0700

    Always select the programmable clock in alt clock select
    
    This fixes mode setting in RANDR, but acceleration is toast.

commit 91c3de57f3cd4d4480b2b753ffbae6a3f1cf51fd
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Apr 25 13:28:00 2008 -0700

    Include xgi_regs.h to make it compile.

commit 58e3adb8e8c4591e6f5f179e542387cd4ab20b73
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Apr 25 10:37:36 2008 -0700

    randr: Initial attempt at (non-working) RANDR support

commit f50b5bbfbee823457ff0777a428c4efee1e7785d
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu Apr 24 15:44:43 2008 -0700

    Remove xf1bpp.h and xf4bpp.h

commit 57bd3d18426eb3da0d55af85db5b5fed38f484fe
Author: Ian Romanick <idr@us.ibm.com>
Date:   Tue Apr 15 09:21:33 2008 -0700

    Use fbdevHWLoadPaletteWeak, directly use XG47{SetOverscan,LoadPalette}
    
    The changes allows the removal of xgi_mode.[ch].

commit 3eb1f2a530626162f6791215c01f1ece7617b216
Author: Ian Romanick <idr@us.ibm.com>
Date:   Tue Apr 15 09:12:30 2008 -0700

    Remove prototypes for functions removed in previous commits

commit 06c189acc994e656064b210da5f572363f4e0f91
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Apr 14 16:39:24 2008 -0700

    Remove anything related to BIOS mode setting

commit 190559d2da3da9500553e159475086ea2f870a5f
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Apr 14 13:14:27 2008 -0700

    Rework mode setting
    
    Split mode setting into one part that calculates the register values
    and one part that sets the registers.  This matches the way most
    drivers work, and it gets XGIRestore mostly working with native mode
    setting.

commit 54aa7e0081ecc1ee56e2d39a53fc0a6962dfa1fb
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Apr 11 14:45:55 2008 -0700

    Trivial code clean-ups

commit f4dfb7ba1ae01ce1b401536328fee348322b8423
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Apr 11 14:22:07 2008 -0700

    Load required modules and symbols from XGISetup

commit 044583037a109894f43ccb9a0b9c9e95266d004a
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Apr 11 14:08:41 2008 -0700

    Use fbdevHW*Weak functions
    
    This changes allows some other trivial clean-ups.

commit 8a4a9d72ecad1ffabb42a3dab05a49c53e0b1ab1
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Apr 11 12:39:05 2008 -0700

    Eliminate XGIFBLayout structure
    
    This was missed in the previous commit.

commit 866eca6fad8a1dc9bfd5064fe166701ba9a78d3f
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Apr 11 12:38:25 2008 -0700

    Eliminiate useless currentLayout field.

commit e8374c7916610858a6bbb99cac4c64aa2f75d1a4
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Apr 11 12:35:28 2008 -0700

    Eliminate useless isNeedCleanBuf flag.

commit b56a17e260748a75e94db452897623156360fd1d
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Apr 9 12:30:26 2008 -0700

    Add correct I2C support for the CRT I2C bus on XG47
    
    This makes monitor DDC work.  Finally!

commit 49a30a4d6adcaed1fdb8e1740ba16ca7e52ebdb5
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Apr 9 12:06:04 2008 -0700

    Update to match changes in DRM fence API

commit 1a436e56b2cacd5544de65a98cccb5e825e1e432
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Jan 18 16:29:33 2008 -0800

    Enable native mode setting via configure option --with-native-mode-setting

commit 24a5d250329991a85dded8743b1b8391649c8144
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Jan 18 16:23:06 2008 -0800

    ifdefs around native mode setting code

commit c351867da13b46d9834a52837032c9e41ca12315
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Jan 18 16:22:49 2008 -0800

    Add fields to XGIRegRec needed by native mode setting code

commit 6f52c837fa601135329743b9f38dafbb09a4f907
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Jan 18 16:21:46 2008 -0800

    Use table for VCLK values and fix bug in horiz param overflow register setting
    
    These changes fix most 1600x1200 (and higher) problems.

commit 8331c5faeccd241ac7e8b4efa34a555c6b05bf87
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Jan 18 15:58:02 2008 -0800

    Add missing header files

commit 724e420a1dd117e6fab2fdaa9d0186d5fb56fae0
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Jan 18 15:56:13 2008 -0800

    ifdef out code when NATIVE_MODE_SETTING is defined

commit f91a5f2bf865f0e239174392f6b36a341746676f
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Jan 18 15:55:22 2008 -0800

    Replace xg47_BeginCmdList with xg47_BeginCmdListType
    
    xg47_BeginCmdList takes the command type as a parameter instead of being
    hard-coded for BTYPE_2D.  A wrapper macro provides compatability between the
    two.

commit 6f2f3a31a16ad2c6fbb3cf514d3bfd8abee95920
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Jan 18 15:53:23 2008 -0800

    ifdef out more code when NATIVE_MODE_SETTING is defined

commit 3c1283307998f6c1ac7735631b9433ba2a0644fe
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Oct 15 13:04:48 2007 -0700

    Log error message if too much data is written to command list.

commit 9ecb4b8f50aff8eaf528c109c587dc52a8241c93
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Oct 15 12:50:14 2007 -0700

    Rework command list tracking
    
    Buffering of 2D register writes was heavilly reworked.  Previous code tracked
    the number of DWORDs written to the command buffer and ussd modulo
    arithmetic to determine when there were pending register-write commands.
    Now track the number of pending register-write commands explicitly.  This
    simplifies checking in a few places.
    
    Eliminate a couple unused structure fields, fold several routines into
    xg47_EndCmdList.  Add new function xg47_EmitRawCommand.

commit a89c445bd930f92342833a19e61d92b7cc8085d7
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Oct 15 12:47:05 2007 -0700

    Trivial clean-ups in XG47SetCRTCViewStride

commit 198b492293f27750f6e276d0418145ddbcd57161
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Oct 15 11:18:36 2007 -0700

    Eliminate kooky color byte-order swapping.
    
    While this byte-swapping technique fixed some color probles on big-endian
    systems, it caused applications that use Render to segfault.

commit 588dc4265fffec9e569a176e28476a27183d0cf5
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Oct 10 15:27:42 2007 -0700

    Fix command list submission on big-endian.

commit 07e22f46f367b8b673c1e37e1487ebde16a61bc3
Author: Ian Romanick <idr@us.ibm.com>
Date:   Tue Oct 9 15:05:32 2007 -0700

    Fix comment in XG47GetFramebufferSize to reference correct page in docs.

commit 8e27af32ac56a32e3043c15f18ac83cf2e3f4c4c
Author: Ian Romanick <idr@us.ibm.com>
Date:   Tue Oct 9 15:02:02 2007 -0700

    Log video RAM size in decimal rather than hex.  D'oh!

commit 88c82a0b921fddc4fd73246c653da795fc0775fc
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Oct 8 16:45:02 2007 -0700

    Current native mode setting code.  Not yet used by driver.

commit 2f398be82a70b5d30d7a823a2d5b3b43777e52c7
Author: Ian Romanick <idr@us.ibm.com>
Date:   Fri Oct 5 14:45:32 2007 -0700

    Eliminate "value" as a global variable.  Minor clean ups.

commit 9a9f57ca98711e4fcedadbd70efb3d9fa81a17e2
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Oct 3 15:19:34 2007 -0700

    Clean up log messages around DPMS init.

commit a4b2705f3d41e4a0f8341dd1c9770dfa9a61fcc7
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Oct 3 15:18:48 2007 -0700

    Remove some dead code in XGIRestore

commit c36221ee1d5dca8054960fe2fa7e9c5f8a418aaa
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Oct 3 14:57:48 2007 -0700

    Fix typo in get_configured_monitor
    
    We only want to use VBE to get DDC info if all other attempts failed *AND*
    VBE is available.  Ugh.

commit ff0e05f58c9593f25a8294528ceea7cdbb787f1e
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Oct 3 14:54:53 2007 -0700

    If VBE is not available, set DPMS registers directly.

commit ee14a430485ed12c59daacf902b170918baaa7d0
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Oct 3 14:36:26 2007 -0700

    Eliminiate unused variable in XG47DisableMMIO

commit 9a876e28de18fd0223db2700ab41b2313423d890
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Sep 26 11:30:20 2007 -0700

    Eliminate unused global variable g_ModeOfFirstView.

commit ffabc095100fd5407ccb426af80bfc5ec74de310
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Sep 26 11:02:44 2007 -0700

    Trivial color map / color weight cleaning

commit 91d8300324234413875f4eb54a653b643e6a5218
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Sep 26 11:01:25 2007 -0700

    Include fbdevhw.h to silence a warning

commit 3a33569cf4a2e85ce664246691d794f3ca056667
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Sep 26 10:51:40 2007 -0700

    Check DDC before validating display modes

commit 10b446279b3a0d27a3c8a8bfc051742801a937fe
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Sep 26 10:51:08 2007 -0700

    Code clean up, extra error messages.

commit f2568de7e3b1649b194b47464fd6130db5c82286
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Sep 26 10:50:37 2007 -0700

    Correctly check return status of biosValidMode

commit d56a2cd334932c246a6fb19b1f38102b56999bd6
Author: Ian Romanick <idr@us.ibm.com>
Date:   Wed Sep 26 09:46:14 2007 -0700

    Return more useful values when a mode is rejected
    
    Previously all mode errors would result in MODE_BAD.  Now more accurate
    error values are propogated back to core.

commit a0b757c205757225d13ff3e58d6a958456d6a249
Author: Ian Romanick <idr@us.ibm.com>
Date:   Tue Sep 25 17:30:07 2007 -0700

    Fix weird typo in vgahwSymbols list.

commit b3ff90ea9262b9fa4089cad3c58bc659433cb066
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Sep 24 12:22:27 2007 -0700

    Revert part of dd894764fce3084d8b0726a0597748c7dfb6566c
    
    It turns out that 'N + 8' was correct afterall.

commit 8aa637204f2812236d0b3da2c4b24201a95eb2c8
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Sep 24 12:20:28 2007 -0700

    Use vAcquireRegIOProtect instead of explicit writes to 3C5.11.
    
    These occurances were missed in commit 8fcb87915b1116c61177d851df6fca840210d6c7.

commit a2d31171b4153895692665d7c46ed6164d6ab4bf
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Sep 24 11:52:27 2007 -0700

    Clean up int10 / VBE / DDC initialization.
    
    This seems to resolve some problems on PowerPC.

commit 4cf0b67161662b63d48fbc82772ed8a8c677a80a
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Sep 24 11:33:05 2007 -0700

    Color byte ordering fixes for big-endian

commit 81449635aed25aedd264a5efb4b44d628ea5a44f
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Sep 24 11:30:00 2007 -0700

    Make sure DRI and DRM symbols are available before calling XGIDRIScreenInit

commit a84ef486d9a15d7f6239fd808fd4a2b810461b7e
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Sep 24 11:20:30 2007 -0700

    Fix error case return value of XGIProbeDDC

commit 48bd60def2685986fbac501d88db6a8213df14b9
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Sep 24 11:20:04 2007 -0700

    Eliminate unnecessary wrapper function XGIDDCRead

commit f27b8b1235f90e7b15f02b9e3b252e6455bbb025
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Sep 24 11:17:12 2007 -0700

    Major clean up.
    
    Eliminate unused functions.  Add support for byte-swapping on big endian.
    Replace CARD(8|16|32) with uint(8|16|32)_t.

commit e95082f64c10883ec51516ec5f7a1d5622830233
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Sep 24 11:08:52 2007 -0700

    Refactor cursor size setting code

commit e9616a0e4ef7dd01d0323c90e5443c0e31c0d4bc
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Sep 24 10:49:38 2007 -0700

    Refactor setAlphaCursorPattern and setMonoCursorPattern into a single function

commit d776f95f29701f4f38a811d964f8ab68112f53fe
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Sep 24 10:45:13 2007 -0700

    Refactor setMonoCursorColor and setMonoCursorColorOfSecondView into a single function

commit ada16f75b85ee1ac8b2a7d52a59d2f544e75081f
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Sep 24 10:38:22 2007 -0700

    Only need one position function for CRTC1
    
    After the previous commit, setAlphaCursorPosition and setMonoCursorPosition
    are identical.  Delete one and rename the other setCursorPosition.

commit 3a40df6212b6d5d6ece224ef0bad2e9aa75d703c
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Sep 24 10:36:21 2007 -0700

    Clean up cursor position setting routines.

commit 11be19b9808d754b08261ff163ac745cbc7f7b35
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Sep 24 10:29:24 2007 -0700

    Disable cursor debugging.  This shouldn't have been committed in the first place.

commit 6f4e3dd175b43e4630908e0fa78e6068a899f9b9
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Sep 24 10:28:44 2007 -0700

    Move prototypes from xg47_cursor.h to xg47_cursor.c, make them static.

commit 5b0eb77ca0f13f47356e791ff98bda8ef3476782
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Sep 24 10:25:17 2007 -0700

    Minor clean-ups.

commit 2ac5e7fee80cbb240f1ea4d442cdc9c937507138
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu Sep 20 12:10:45 2007 -0700

    Clean up CURSOR_DEBUG messages.

commit ad61fd3a165cddd35b89ba6815ea3a7b384595f3
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu Sep 20 12:02:20 2007 -0700

    Clean up the ARGB_CURSOR #ifdef maddness.
    
    Remove all of the existing ARGB_CURSOR #ifdefs.  If ARGB_CURSOR is not
    defined, force XG47UseHWCursorARGB to return FALSE.

commit 9fb58c66a3c44af902e6c6a8535be3d3bbc6efcb
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu Sep 20 11:53:35 2007 -0700

    Clean up cursor related structures and structure fields.

commit 8a04ad66edf0e56ada64e0237d8a0257fb133e5a
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu Sep 20 11:47:23 2007 -0700

    Fix mono cursor on big-endian systems (e.g., PowerPC).

commit 8fcb87915b1116c61177d851df6fca840210d6c7
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu Sep 20 11:38:00 2007 -0700

    Use vAcquireRegIOProtect instead of explicit writes to 3C5.11.

commit cdc2789ead524742ba4ba06307b276d39369fdb5
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu Sep 20 11:23:24 2007 -0700

    Indentation, dead code removal, trivial clean-ups.

commit dd894764fce3084d8b0726a0597748c7dfb6566c
Author: Ian Romanick <idr@us.ibm.com>
Date:   Tue Sep 18 11:29:43 2007 -0700

    Clock value calculated by XGIBiosCalculateClock was too high.
    
    The clock value previously calculated by XGIBiosCalculateClock was too high
    because (N+8) was used instead of (N+7).  The hardware documentation clearly
    states that N+7 is correct, and hand cranking a few numbers shows this to be
    true.

commit 37f81b9c5782847652efaa08058eb4b7c7aaada5
Author: Ian Romanick <idr@us.ibm.com>
Date:   Tue Sep 18 11:23:30 2007 -0700

    Dead code removal, trival warning clean ups.

commit cdfd1b3b0441b195ef1c26b3e2aa1e4ab0b7a914
Author: Ian Romanick <idr@us.ibm.com>
Date:   Tue Sep 18 11:09:47 2007 -0700

    Fix typo in error message.

commit 0a2aa4a89187e443da4527d2890b03938bc2e995
Author: Ian Romanick <idr@us.ibm.com>
Date:   Tue Sep 18 11:08:59 2007 -0700

    Clean up DDC and I2C initialization.
    
    Correct a couple minor bugs in I2C initialization.  Try to use VGA DDC1 or
    I2C DDC2 before using VBE.  Sadly, both methods still fail.

commit e0b9210a7f693e11db75c0caa26a9dc9f5a68d1b
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Sep 17 21:10:33 2007 -0700

    Eliminate pVbeModes.
    
    VBE_INFO is / was never set, and I can't see how it would even be used.

commit b477d47d2d30a980f10e83e8774f1e8417334f55
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Sep 17 21:07:12 2007 -0700

    Remove some unused structure members from XGIRec.

commit f8f803ad91a6f4d7c8031be19f18a1161107de7d
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Sep 17 21:00:47 2007 -0700

    Clean up some extraneous debug messages.

commit f70d6078c1b21569e0a722d03029bc6bee946ea7
Author: Ian Romanick <idr@us.ibm.com>
Date:   Mon Sep 17 20:55:54 2007 -0700

    Eliminate g_pScreen
    
    This was just used for debugging.  However, it was used incorrectly, and the
    ScrnPtr could be accessed a different way.

commit 565c8b802318d45b438f5462af9d52c398285d02
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu Sep 13 11:36:19 2007 -0700

    Remove some dead code.

commit f52485f1990fc30cd672587391163a1b9b2f0a7c
Author: Ian Romanick <idr@us.ibm.com>
Date:   Thu Sep 13 11:35:55 2007 -0700

    Trivial change to the interface to fill_ask_mode

commit f8063f7f3a0675a260d2ec7d037accee4f445212
